# LOCAL_DIRECTORY is actually set in the generated makefile for the update.
# It is set to the same directory as where the update directory is located,
# i.e., where the ObjecTime Developer session file (.otd) is located.
#
# The EXTERNAL_DIR below is where the external source is located.

EXTERNAL_DIR = D:\billg\Support-OTD-5,2

# Note that the .o will be in the build directory, not where the external
# source is located.
USER_OBJS = ISR_Interface_Tornado.o

USER_DEPS: ISR_Interface_Tornado.dep

include $(EXTERNAL_DIR)/ISR_Interface_Tornado.dep

ISR_Interface_Tornado.dep: $(EXTERNAL_DIR)/ISR_Interface_Tornado.c
	$(MAKEDEPEND_CMD) ISR_Interface_Tornado.dep DEP_ISR_Interface_Tornado \
		$(MAKEDEPEND_VPATH) $(MAKEDEPEND_HEAD) \
		$(RTUPDATE_DEPPATHS) \
		$(GENERATE_DEPPATHS) \
		$(EXTERNAL_DIR)/ISR_Interface_Tornado.c


ISR_Interface_Tornado.o: $(EXTERNAL_DIR)/ISR_Interface_Tornado.c RTUpdate_Compile.mk $(DEP_ISR_Interface_Tornado)
	$(OTCOMPILE_CMD) \
		$(USER_CC) $(CC_HEAD) $(RTUPDATE_CCFLAGS) \
		$(RTUPDATE_INCPATHS) \
		$(GENERATE_INCPATHS) \
		$(EXTERNAL_DIR)/ISR_Interface_Tornado.c

